<?php
/**
* @copyright	Copyright (C) 2013 - JoomSpirit. All rights reserved.
*/

defined('_JEXEC') or die('Restricted access');

$path = $this->baseurl.'/templates/'.$this->template;

/**			for the conversion of hex to rgba 		**/
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

$rgb_content = hex2rgb($this->params->get('bg_color_content'));
$rgba_content = 'rgba('.$rgb_content[0].','.$rgb_content[1].','.$rgb_content[2].','.$this->params->get('transparency_content').')' ;
$rgba_content_opaque = 'rgba('.$rgb_content[0].','.$rgb_content[1].','.$rgb_content[2].',1)' ;
$rgba_content_zero = 'rgba('.$rgb_content[0].','.$rgb_content[1].','.$rgb_content[2].',0)' ;

$app = JFactory::getApplication();
$menu = $app->getMenu();
$lang = JFactory::getLanguage();
if ($menu->getActive() == $menu->getDefault($lang->getTag())) {
$js='<div class="js-copyright" ><a class="jslink" target="_blank" href="http://www.template-joomspirit.com" >template joomla</a></div>';
$page='home-page';
} else {$js='<div class="js-copyright" ><a class="jslink" target="_blank" href="http://www.template-joomspirit.com" >www.template-joomspirit.com</a></div>' ; $page='standard-page'; }

if ($this->params->get('fontSize') == '') 
{ $fontSize ='0.85em'; } 
else { $fontSize = $this->params->get('fontSize'); }

JHtml::_('behavior.framework', true);

$filepath = JURI::root(true).'/templates/'.$this->template;
$doc = JFactory::getDocument();

$doc->addStyleSheet(JURI::root(true).'/templates/system/css/general.css' , 'text/css', 'all');

$doc->addStyleSheet($filepath.'/css/bootstrap.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/font-awesome.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/template.css' , 'text/css', 'all');

if ( $this->params->get('color_theme') == 'theme-dark' ) {
	$doc->addStyleSheet($filepath.'/css/theme-dark.css' , 'text/css', 'all');
	}
	
$doc->addStyleSheet($filepath.'/css/print.css' , 'text/css', 'print');

$space_font_name   = array("+");
if ( $this->params->get('custom_font_website_title') != '' ) { $font_website_title = $this->params->get('custom_font_website_title') ; } else { $font_website_title = $this->params->get('font_website_title') ; }
if ( $this->params->get('custom_font_menu') != '' ) { $font_menu = $this->params->get('custom_font_menu') ; } else { $font_menu = $this->params->get('font_menu') ; }
if ( $this->params->get('custom_font_h1') != '' ) { $font_h1 = $this->params->get('custom_font_h1') ; } else { $font_h1 = $this->params->get('font_h1') ; }
if ( $this->params->get('custom_font_h2') != '' ) { $font_h2 = $this->params->get('custom_font_h2') ; } else { $font_h2 = $this->params->get('font_h2') ; }
if ( $this->params->get('custom_font_content') != '' ) { $font_content = $this->params->get('custom_font_content') ; } else { $font_content = $this->params->get('font_content') ; }

// 		find the position of the caracter ":"
function sep_font($font)
{
    $pos1=strpos($font, ":");
    $pos2=strpos($font, "&");
     	
    $length=strlen($font);
    if ( ($pos1 !== false) & ($pos2 !== false) ) { return min( $pos1, $pos2) ; }
    elseif ($pos1 !== false)  { return $pos1 ; }
    elseif ($pos2 !== false)  { return $pos2 ; }
    else { return $length ; }
}

// load all non standard fonts from Google
$defaultFonts = array('Arial', 'Verdana', 'Trebuchet ms', 'Helvetica', 'Georgia', 'Times new roman');
$allFonts = array($font_content, $font_menu, $font_website_title, $font_h1, $font_h2);
$googleFonts = array_unique (array_diff($allFonts, $defaultFonts));

$i = 0;
$googlecode = '';

foreach ($googleFonts as $loadFont) {
	if ($i > 0) {$googlecode .= '%7C';}
	$googlecode .= $loadFont;
	$i++;
}

$doc->addStyleSheet('https://fonts.googleapis.com/css?family=' .$googlecode, 'text/css', 'all');

//	Width of content part
$width_right = $width_left = 0;
if($this->countModules('left')) $width_left = $this->params->get('width_left') ;
if($this->countModules('right')) $width_right = $this->params->get('width_right') ;
$width_content = 100 - $width_left - $width_right ;
if( $this->countModules('right') || $this->countModules('left')) { $width_content_left_resp = 100 - $this->params->get('width_left') ;} else { $width_content_left_resp = 100 ;}
if( $this->countModules('right') || $this->countModules('left')) { $width_content_right_resp = 100 - $this->params->get('width_right') ;} else { $width_content_right_resp = 100 ;}


?>

<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >	

<head>

<jdoc:include type="head" />
<?php JFactory::getDocument()->setGenerator(''); ?>		<!-- 	hide the meta tag generator for website security 		-->

	<!-- 		Template manager variables			-->
	<style type="text/css">
	
		body {
		font-size:<?php echo $fontSize ; ?>;		
		background-color : <?php echo $this->params->get('bg_website') ; ?> ;
		color : <?php echo $this->params->get('color_text_general') ; ?>;
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_content,0,sep_font($font_content)) ) ; ?>', sans-serif;
		}
		
		/** 	COLOR 			**/
		
		.breadcrumb a[href="#"], .breadcrumb a[href="#"]:hover {
		color : <?php echo $this->params->get('color_text_general') ; ?>;
		}
		
		.drop-down li a, .drop-down li span, .drop-down span.title_menu a, .module-search .inputbox, .module-search .fa-search {
		color:<?php echo $this->params->get('color_main_menu_item') ; ?>;
		}
		
		.drop-down li.active > a, .drop-down li.active > span, .drop-down a:hover, .drop-down span:hover, .drop-down li.active > a[href="#"]:hover, .drop-down span.title_menu a:hover,
		.top_menu li:hover a, .top_menu li.active a {
		color:<?php echo $this->params->get('color_main_menu_item_active') ; ?>;
		}
		
		.drop-down li li.active > a, .drop-down li li.active > span, .drop-down li li a:hover, .drop-down li li span:hover {
		background:<?php echo $this->params->get('color_main_menu_item_active') ; ?>;
		}
		
		.drop-down li li.active > a, .drop-down li li.active > span, .drop-down li li a:hover, .drop-down li li span:hover {
		color:<?php echo $this->params->get('color_sub_menu_item_active') ; ?>;
		}
		
		a, div.vertical-menu li a:hover {
		color: <?php echo $this->params->get('color_link') ; ?>;
		}
		.breadcrumb a:hover, a:hover, h1 a:hover, h2.contentheading a:hover,
		.bottom_menu li.current a, .top_menu li.current a {
		color: <?php echo $this->params->get('color_link_hover') ; ?>;
		}
		
		div.vertical-menu li.current > a {
		border-left-color: <?php echo $this->params->get('color_link') ; ?>;
		color: <?php echo $this->params->get('color_link') ; ?>;
		}
		
		div.horizontal-menu li[class*="current"] > a {
		border-bottom-color: <?php echo $this->params->get('color_link') ; ?>;
		color: <?php echo $this->params->get('color_link') ; ?>;
		}
		
		.text_social_icons {
		color:<?php echo $this->params->get('color_social') ; ?>;
		}
		
		/**		TITLE 		**/		
		
		h1, h1 a, .componentheading, h2.contentheading, h2.contentheading a {
		color: <?php echo $this->params->get('colorh1') ; ?>;
		}		
		
		@media screen and (min-width: 600px) {
		
			[class*="title-"] h1, [class*="title-"] h1 a, [class*="title-"] .componentheading {
			color: <?php echo $this->params->get('colorh1_slide') ; ?>;
			font-size : <?php echo $this->params->get('h1_slide_fontsize') ; ?>;
			}
		
		}
		
		h2 {
		color: <?php echo $this->params->get('colorh2') ; ?>;
		}
		
		.module-title h3 {
		color: <?php echo $this->params->get('color_module_title') ; ?>;
		}
		
		/**		FONT	**/
				
		.drop-down {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_menu,0,sep_font($font_menu)) ) ; ?>', sans-serif;
		}
		.drop-down {
		font-size : <?php echo $this->params->get('main_menu_fontsize') ; ?>;
		}
		h1, .componentheading, .blog > h1 {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h1,0,sep_font($font_h1)) ) ; ?>', sans-serif;
		font-size : <?php echo $this->params->get('h1_fontsize') ; ?>;
		}
		h1 + h1, h2, h3, h4, h5,
		.left_column h3, .right_column h3, .top-module-position h3, .bottom-module-position h3, .user1 h3, .user2 h3, .user3 h3, 
		.user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		font-family: '<?php echo str_replace($space_font_name," ",substr($font_h2,0,sep_font($font_h2)) ) ; ?>', sans-serif;
		}
		.left_column h3, .right_column h3, .top-module-position h3, .bottom-module-position h3, .user1 h3, .user2 h3, .user3 h3, 
		.user4 h3, .user5 h3, .user6 h3, .user7 h3, .user8 h3, .user9 h3 {
		font-size : <?php echo $this->params->get('module_title_fontsize') ; ?>;
		}
		h1 + h1, h2 {
		font-size : <?php echo $this->params->get('h2_fontsize') ; ?>;
		}
		h3 {
		font-size : <?php echo $this->params->get('h3_fontsize') ; ?>;
		}
		h4 {
		font-size : <?php echo $this->params->get('h4_fontsize') ; ?>;
		}
		h5 {
		font-size : <?php echo $this->params->get('h5_fontsize') ; ?>;
		}
		
		/**			Width 		**/
		 
		.wrapper-website, .isStuck > div {
		width : <?php echo $this->params->get('width_website') ; ?>;
		}
		
		.logo-module {
		margin: <?php echo $this->params->get('vertical_position_logo') ; ?>px 0 0 <?php echo $this->params->get('horizontal_position_logo') ; ?>px;
		}
		
		.main_content {
		margin-left: <?php if($this->countModules('left')) { echo $this->params->get('width_left') ;} else {echo '0'; } ?>%;
        width: <?php echo $width_content ; ?>%;
        }
		
		.left_column {
		width:<?php echo $this->params->get('width_left') ; ?>%;
		margin-left: -<?php echo ( $width_content + $this->params->get('width_left')) ; ?>%;
		}
		.right_column {
		width:<?php echo $this->params->get('width_right') ; ?>%;
		}
		
		/**  Responsive columns 	**/
		@media screen and (min-width: 768px) and (max-width: 979px ) {
			
			.resp-side-left .right_column {
			width:<?php echo $this->params->get('width_left') ; ?>%;
			}
			.resp-side-right .left_column {
			width:<?php echo $this->params->get('width_right') ; ?>%;
			}
			
			.resp-side-left .main_content {
			width: <?php echo $width_content_left_resp ; ?>%;
			}
			
			.resp-side-right .main_content {
			width: <?php echo $width_content_right_resp ; ?>%;
			}
					
		}
		
		@media screen and (max-width: 979px) {
				
			.drop-down li.active > a, .drop-down li.active > span, .drop-down li li.active > a, .drop-down li li.active > span {
			color:<?php echo $this->params->get('color_main_menu_item') ; ?>;
			}
			
			.drop-down li.current > a, .drop-down li li.current > a, .drop-down li li a:hover, .drop-down li li span:hover {
			color:<?php echo $this->params->get('color_main_menu_item_active') ; ?>;
			}
						
		}

		/**  If website width in px and more of 980px, the width is adjust betwwen the setting and 980px 		**/
		<?php if ( strpbrk( $this->params->get('width_website') , '%')  != 'true' ) : ?>
		
			@media screen and (min-width: 980px) and (max-width: <?php echo ( str_replace("px","",$this->params->get('width_website')) + 60) ; ?>px ) {
				
				.wrapper-website {
				width : 96%;
				}		
			
			}
		
		<?php endif; ?>
		
	</style>

	<?php if ( $this->params->get('responsive') == 'yes') : ?>
		
		<meta name="viewport" content="initial-scale=1" />
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/media_queries.css" type="text/css" media="all" />
		
		<!--		Fixed a bug with Abndroid 4 and select field (see Boostrap doc) 	-->
		<script type="text/javascript">
		var nua = navigator.userAgent
		var isAndroid = (nua.indexOf('Mozilla/5.0') > -1 && nua.indexOf('Android ') > -1 && nua.indexOf('AppleWebKit') > -1 && nua.indexOf('Chrome') === -1)
		if (isAndroid) {
		  $('select.form-control').removeClass('form-control').css('width', '100%')
		}
		</script>
		
	<?php else : ?>
	
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/media_queries_no_responsive.css" type="text/css" media="all" />
	
	<?php endif; ?>
	
	<link rel="stylesheet" href="<?php echo $filepath ?>/css/custom.css" type="text/css" media="all" />

	<script type="text/javascript">
		if (typeof jQuery === 'undefined') {
			document.write(unescape("%3Cscript src='<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/lib/js/jquery-1110.js' type='text/javascript'%3E%3C/script%3E"));
		}
	</script>
	<script type="text/javascript">
		jQuery.noConflict();
	</script>

	<!--		SCRIPT TO ENABLE CCS3 ANIMATIONS WHEN ELEMENT IS VISIBLE 		-->
	<?php if( $this->params->get('disable_animation') == 'no' ) : ?>
	<script type="text/javascript">
	
		//<![CDATA[
		jQuery(window).load(function(){
		// Plugin @RokoCB :: Return the visible amount of px
		// of any element currently in viewport.
		// stackoverflow.com/questions/24768795/
		;(function($, win) {
		  $.fn.inViewport = function(cb) {
			 return this.each(function(i,el){
			   function visPx(){
				 var H = $(this).height(),
					 r = el.getBoundingClientRect(), t=r.top, b=r.bottom;
				 return cb.call(el, Math.max(0, t>0? H-t : (b<H?b:H)));  
			   } visPx();
			   $(win).on("resize scroll", visPx);
			 });
		  };
		}(jQuery, window));
			
		jQuery(".animbox").inViewport(function(px){
			jQuery(this).toggleClass("animCSS3", !!px );
		});
		});//]]> 
	
	</script>
	<?php endif; ?>
	
	<!--[if lte IE 8]>
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie8.css" type="text/css" />
		<script type="text/javascript" src="<?php echo $filepath ?>/lib/js/html5.js"></script>
	<![endif]-->
	
	<!--[if lte IE 7]>
		<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie7.css" type="text/css" />	
	<![endif]-->
	
</head>

<body class=" <?php echo $page ; ?> <?php echo $this->params->get('color_theme') ; ?> <?php echo $this->params->get('theme') ; ?> <?php echo $this->params->get('uppercase') ; ?> h1-shadow-<?php echo $this->params->get('h1_shadow') ; ?> h1-slide-shadow-<?php echo $this->params->get('h1_slide_shadow') ; ?> <?php echo $this->params->get('responsive_side') ; ?> <?php echo $this->params->get('responsive_users') ; ?> <?php echo $this->params->get('border_image') ; ?>">
	
	<div class="website zindex10">
		
		<div class="wrapper-website">
		
			<header class="website-header clearfix zindex20">

				<?php if($this->countModules('top_menu')) : ?>
				<nav class="top_menu">
					<jdoc:include type="modules" name="top_menu" style="joomspirit" />
				</nav>	
				<?php endif; ?>
				
				<?php if($this->countModules('translate')) : ?>
				<div class="module-translate">
					<jdoc:include type="modules" name="translate" style="joomspirit" />
				</div>	
				<?php endif; ?>
				
				<div class="logo-module zindex10 <?php if( $this->params->get('disable_animation') == 'no' && ( ($this->params->get('animation_logo') == 'yes') || ( $this->params->get('animation_logo') == 'home-page' && $page == 'home-page')) ) : ?>animCSS3<?php endif; ?>" >
				<?php if($this->countModules('logo')) : ?>
					<jdoc:include type="modules" name="logo" style="joomspirit" />		
				<?php elseif ( $this->params->get('mylogo') == '' ) : ?>
					<a href="<?php echo $this->baseurl ?>" ><span class="website-title " style="font-family: '<?php echo str_replace($space_font_name," ",substr($font_website_title,0,sep_font($font_website_title)) ) ; ?>', sans-serif;color : <?php echo $this->params->get('color_website_title') ; ?>;font-size : <?php echo $this->params->get('website_title_fontsize') ; ?>;"><span><?php echo $this->params->get('website_title') ; ?></span></span></a>				
				<?php else : ?>					
					<a href="<?php echo $this->baseurl ?>" ><img src="<?php echo JURI::base() ; ?><?php echo $this->params->get('mylogo') ; ?>" alt="" /></a>						
				<?php endif; ?>
				</div>
					
			</header>								<!--   		end of Header 			-->		
							
			<?php if($this->countModules('menu')) : ?>
			<nav id="js_navigation" class=" zindex30 drop-down clearfix">
				<div>
					
					<?php if( $this->params->get('search_module') != 'no') : ?>
					<div class="module-search <?php echo $this->params->get('search_module'); ?>">
						<div class="search ">
							<form class="form-inline" method="post" action="<?php echo JURI::base() ; ?>">
								<input type="search" placeholder="<?php echo $this->params->get('search_word') ; ?>" size="14" class="inputbox search-query" maxlength="200" id="mod-search-searchword" name="searchword">
								<span class="fa fa-search"></span>
								<input type="image" onclick="this.form.searchword.focus();" src="<?php echo $filepath ?>/images/transparent.png" class="button" alt="Search">
								<input type="hidden" value="search" name="task"><input type="hidden" value="com_search" name="option">
							</form>
						</div>
					</div>
					<?php endif; ?>
					
					<span class="title_menu">
						<a href="#js_navigation"><span class="icon-main-menu"></span><span class="text-icon-menu"><?php echo $this->params->get('text_menu') ; ?></span></a>
					</span>
		
					<jdoc:include type="modules" name="menu" style="joomspirit" />
				
				</div>
			</nav>
			
			<div class="empty-space visible-desktop clearfix"></div> 		<!--		empty DIV for Sticky menu 		-->	
			<?php endif; ?>
					
	
			<section class="website-content clearfix zindex10 " >
					
				<?php if($this->countModules('breadcrumb')) : ?>
				<nav class="module-breadcrumb zindex10" role="navigation">
					<jdoc:include type="modules" name="breadcrumb" style="xhtml" />
				</nav>
				<?php endif; ?>
									
				<?php if($this->countModules('top')) : ?>
				<aside class="top-module-position <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_top') == 'yes' ) : ?>animCSS3<?php endif; ?>">
					<jdoc:include type="modules" name="top" style="joomspirit" />
				</aside>
				<?php endif; ?>				
				
				<div class="main-columns clearfix">
				
					<!--  MAIN COLUMN -->
					<div class="main_content" >
							
						<!--  USER 1, 2, 3 -->
						<?php if($this->countModules('user1') || $this->countModules('user2') || $this->countModules('user3')) : ?>
						<aside class="users_top clearfix" >
																	
							<?php if($this->countModules('user1')) : ?>
							<div class="user1 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user1') == 'yes' ) : ?>animCSS3<?php endif; ?>" style="width: <?php echo $this->params->get('user1_width') ; ?>%" >
								<jdoc:include type="modules" name="user1" style="joomspirit" />
							</div>
							<?php endif; ?>
						
							<?php if($this->countModules('user2')) : ?>
							<div class="user2 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user2') == 'yes' ) : ?>animCSS3<?php endif; ?>" style="width: <?php echo $this->params->get('user2_width') ; ?>%" >
								<jdoc:include type="modules" name="user2" style="joomspirit" />
							</div>
							<?php endif; ?>
						
							<?php if($this->countModules('user3')) : ?>
							<div class="user3 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user3') == 'yes' ) : ?>animCSS3<?php endif; ?>">
								<jdoc:include type="modules" name="user3" style="joomspirit" />
							</div>
							<?php endif; ?>
												
						</aside>
						<?php endif; ?>  <!--	END OF USERS TOP	-->
					
						<div class="main_component clearfix" role="main" >
							
							<!--  MAIN COMPONENT -->
							<jdoc:include type="message" />
							<jdoc:include type="component" />
					
						</div>	
						
						<!--  USER 4, 5, 6 -->
						<?php if($this->countModules('user4') || $this->countModules('user5') || $this->countModules('user6')) : ?>
						<aside class="users_bottom clearfix">
																	
							<?php if($this->countModules('user4')) : ?>
							<div class="user4 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user4') == 'yes' ) : ?>animbox<?php endif; ?>" style="width: <?php echo $this->params->get('user4_width') ; ?>%" >
								<jdoc:include type="modules" name="user4" style="joomspirit" />
							</div>
							<?php endif; ?>
						
							<?php if($this->countModules('user5')) : ?>
							<div class="user5 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user5') == 'yes' ) : ?>animbox<?php endif; ?>" style="width: <?php echo $this->params->get('user5_width') ; ?>%" >
								<jdoc:include type="modules" name="user5" style="joomspirit" />
							</div>
							<?php endif; ?>
		
							<?php if($this->countModules('user6')) : ?>
							<div class="user6 <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_user6') == 'yes' ) : ?>animbox<?php endif; ?>" >
								<jdoc:include type="modules" name="user6" style="joomspirit" />
							</div>
							<?php endif; ?>
												
						</aside>
						<?php endif; ?>  <!--	END OF USERS BOTTOM	-->
						
						<div class="clr"></div>
			
					</div>	  <!--	END OF MAIN CONTENT 	-->
				
					<?php if($this->countModules('left')) : ?>
					<aside class="left_column <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_left') == 'yes' ) : ?>animCSS3<?php endif; ?>" >
						<jdoc:include type="modules" name="left" style="joomspirit" />
					</aside>
					<?php endif; ?>
					
					<?php if( $this->countModules('right') ) : ?>
					<aside class="right_column <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_right') == 'yes' ) : ?>animCSS3<?php endif; ?>" >
						<jdoc:include type="modules" name="right" style="joomspirit" />
					</aside>
					<?php endif; ?>
				
				</div>	  <!--	END OF MAIN COLUMNS 	-->
				
				<?php if($this->countModules('bottom')) : ?>
				<aside class="bottom-module-position <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_bottom') == 'yes' ) : ?>animbox<?php endif; ?>" role="complementary">
					<jdoc:include type="modules" name="bottom" style="joomspirit" />
				</aside>
				<?php endif; ?>
				
			</section>							<!--			END OF WEBSITE CONTENT		-->
		
			<footer class="website-footer <?php if( $this->params->get('disable_animation') == 'no' && $this->params->get('animation_footer') == 'yes' ) : ?>animbox<?php endif; ?>">
					
				<!--	SOCIAL LINKS	-->
					<?php if( ($this->params->get('twitter') != '') || ($this->params->get('facebook') != '') || ($this->params->get('rss') != '') || ($this->params->get('linkedin') != '') || ($this->params->get('google') != '') || ($this->params->get('instagram') != '') || ($this->params->get('pinterest') != '') || ($this->params->get('renren') != '') || ($this->params->get('weibo') != '') || ($this->params->get('flickr') != '') || ($this->params->get('xing') != '') || ($this->params->get('youtube') != '') || ($this->params->get('vimeo') != '') || ($this->params->get('tumblr') != '') || ($this->params->get('custom_icon01') != '') ) : ?>
					<div class="social-links <?php if($this->countModules('bottom_menu')) : ?>with_bottom_menu<?php endif; ?>">
				
						<?php if ( $this->params->get('text_social_icons') != '') : ?>
						<span class="text_social_icons hidden-phone" ><?php echo $this->params->get('text_social_icons') ; ?></span>
						<?php endif; ?>
							
						<ul>
							
							<?php if ($this->params->get('twitter') != '') : ?>
							<li><a target="_blank" class="icon_twitter" title="Twitter" href="<?php echo $this->params->get('twitter') ?>"><i class="fa fa-twitter"></i></a></li>
							<?php endif; ?>		
							<?php if ($this->params->get('facebook') != '') : ?>
							<li><a target="_blank" class="icon_facebook" title="Facebook" href="<?php echo $this->params->get('facebook') ?>"><i class="fa fa-facebook"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('rss') != '') : ?>
							<li><a target="_blank" class="icon_rss" title="RSS" href="<?php echo $this->params->get('rss') ?>"><i class="fa fa-rss"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('linkedin') != '') : ?>
							<li><a target="_blank" class="icon_linkedin" title="Linkedin" href="<?php echo $this->params->get('linkedin') ?>"><i class="fa fa-linkedin"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('google') != '') : ?>
							<li><a target="_blank" class="icon_google" title="Google" href="<?php echo $this->params->get('google') ?>"><i class="fa fa-google-plus"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('instagram') != '') : ?>
							<li><a target="_blank" class="icon_instagram" title="Instagram" href="<?php echo $this->params->get('instagram') ?>"><i class="fa fa-instagram"></i></a></li>
							<?php endif; ?>					
							<?php if ($this->params->get('pinterest') != '') : ?>
							<li><a target="_blank" class="icon_pinterest" title="Pinterest" href="<?php echo $this->params->get('pinterest') ?>"><i class="fa fa-pinterest"></i></a></li>
							<?php endif; ?>					
							<?php if ($this->params->get('renren') != '') : ?>
							<li><a target="_blank" class="icon_renren" title="Renren" href="<?php echo $this->params->get('renren') ?>"><i class="fa fa-renren"></i></a></li>
							<?php endif; ?>					
							<?php if ($this->params->get('weibo') != '') : ?>
							<li><a target="_blank" class="icon_weibo" title="Weibo" href="<?php echo $this->params->get('weibo') ?>"><i class="fa fa-weibo"></i></a></li>
							<?php endif; ?>					
							<?php if ($this->params->get('xing') != '') : ?>
							<li><a target="_blank" class="icon_xing" title="Xing" href="<?php echo $this->params->get('xing') ?>"><i class="fa fa-xing"></i></a></li>
							<?php endif; ?>					
							<?php if ($this->params->get('flickr') != '') : ?>
							<li><a target="_blank" class="icon_flickr" title="Flickr" href="<?php echo $this->params->get('flickr') ?>"><i class="fa fa-flickr"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('youtube') != '') : ?>
							<li><a target="_blank" class="icon_youtube" title="Youtube" href="<?php echo $this->params->get('youtube') ?>"><i class="fa fa-youtube"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('vimeo') != '') : ?>
							<li><a target="_blank" class="icon_vimeo" title="Vimeo" href="<?php echo $this->params->get('vimeo') ?>"><i class="fa fa-vimeo-square"></i></a></li>
							<?php endif; ?>
							<?php if ($this->params->get('tumblr') != '') : ?>
							<li><a target="_blank" class="icon_tumblr" title="Tumblr" href="<?php echo $this->params->get('tumblr') ?>"><i class="fa fa-tumblr"></i></a></li>
							<?php endif; ?>
			
							<?php if ($this->params->get('custom_icon01') != '') : ?>
							<li><a target="_blank" class="custom_icon01" title="<?php echo $this->params->get('custom_icon01_text') ; ?>" href="<?php echo $this->params->get('custom_icon01') ?>"><img src="<?php echo JURI::base() ; ?>templates/<?php echo $this->template; ?>/images/social-icons/<?php echo $this->params->get('custom_icon01_img') ; ?>" alt="" /></a></li>
							<?php endif; ?>					
			
							<?php if ($this->params->get('custom_icon02') != '') : ?>
							<li><a target="_blank" class="custom_icon02" title="<?php echo $this->params->get('custom_icon02_text') ; ?>" href="<?php echo $this->params->get('custom_icon02') ?>"><img src="<?php echo JURI::base() ; ?>templates/<?php echo $this->template; ?>/images/social-icons/<?php echo $this->params->get('custom_icon02_img') ; ?>" alt="" /></a></li>
							<?php endif; ?>
			
							<?php if ($this->params->get('custom_icon03') != '') : ?>
							<li><a target="_blank" class="custom_icon03" title="<?php echo $this->params->get('custom_icon03_text') ; ?>" href="<?php echo $this->params->get('custom_icon03') ?>"><img src="<?php echo JURI::base() ; ?>templates/<?php echo $this->template; ?>/images/social-icons/<?php echo $this->params->get('custom_icon03_img') ; ?>" alt="" /></a></li>
							<?php endif; ?>					
			
							<?php if ($this->params->get('custom_icon04') != '') : ?>
							<li><a target="_blank" class="custom_icon04" title="<?php echo $this->params->get('custom_icon04_text') ; ?>" href="<?php echo $this->params->get('custom_icon04') ?>"><img src="<?php echo JURI::base() ; ?>templates/<?php echo $this->template; ?>/images/social-icons/<?php echo $this->params->get('custom_icon04_img') ; ?>" alt="" /></a></li>
							<?php endif; ?>
			
						</ul>
							
					</div> 			<!-- 	end of Website icons 		-->
					<?php endif; ?>
										
					<!--	bottom nav	-->
					<?php if ($this->countModules( 'bottom_menu' )) : ?>
					<nav class="bottom_menu <?php if( ($this->params->get('twitter') != '') || ($this->params->get('facebook') != '') || ($this->params->get('rss') != '') || ($this->params->get('linkedin') != '') || ($this->params->get('google') != '') || ($this->params->get('instagram') != '') || ($this->params->get('pinterest') != '') || ($this->params->get('renren') != '') || ($this->params->get('weibo') != '') || ($this->params->get('flickr') != '') || ($this->params->get('xing') != '') || ($this->params->get('youtube') != '') || ($this->params->get('vimeo') != '') || ($this->params->get('tumblr') != '') || ($this->params->get('custom_icon01') != '') ) : ?>with_social_icons<?php endif ; ?>" >
						<jdoc:include type="modules" name="bottom_menu" style="joomspirit" />
					</nav>
					<?php endif; ?>
					
					<?php if($this->countModules('address')) : ?>
					<div class="address " >
						<jdoc:include type="modules" name="address" style="joomspirit" />
					</div>
					<?php endif; ?>
					
			</footer>							<!--			END OF WEBSITE CONTENT		-->
			
		</div> 									<!-- 			END OF WRAPPER WEBSITE 		-->	
	
	</div> 										<!-- 			END OF WEBSITE 		-->
	
	<div class="background-site"></div>
	
	<?php echo $js; ?>	
	
	<?php if ($this->countModules( 'debug' )) : ?>
		<jdoc:include type="modules" name="debug" />
	<?php endif; ?>
	
	<script src="<?php echo $filepath ?>/lib/js/bootstrap.min.js" type="text/javascript"></script>
	
	<?php // Google Analytics Tracking Code
	if( $this->params->get('google_code') ) {echo '<script type="text/javascript">'; echo $this->params->get('google_code') ; echo '</script>';}?>	

	<?php if ( $this->params->get('hover3d') == 'yes' ) : ?>
		<script src="<?php echo $filepath ?>/lib/js/jquery.hover3d.js" ></script>
		
		<script type="text/javascript">
			jQuery(".hover3d").hover3d({
				selector: ".hover3d-card",
				shine: true,
			});
		</script>
	<?php endif; ?>

	<?php if ( $this->params->get('sticky_menu') == 'yes') : ?>
	<script src="<?php echo $filepath ?>/lib/js/stickUp.min.js" type="text/javascript"></script>
	<script type="text/javascript">
	//initiating jQuery
	jQuery(function($) {
		jQuery(document).ready( function() {
		jQuery('.drop-down').stickUp();
		});
	});
	</script>
	<?php endif; ?>	
	
	<?php if ( $this->params->get('scroll_to_top') == 'yes' ) : ?>
		<div class="hidden-phone" id="toTop"><a id="toTopLink"><span class="icon-up"></span><span id="toTopText"> Back to top</span></a></div>
		<script type="text/javascript">
			jQuery(document).ready(function(){
					
					jQuery(window).scroll(function () {
					
						if (jQuery(this).scrollTop() > 200) {
							jQuery("#toTop").fadeIn();
						}
						else {
							jQuery("#toTop").fadeOut();
						}
					});
				
					jQuery("#toTop").click(function() {
						jQuery("html, body").animate({ scrollTop: 0 }, "slow");
						 return false;
					});
			});
		</script>
	<?php endif ; ?>
	
	<?php if ( $this->params->get('button_small_menu') != 'no' ) : ?>
	<script type="text/javascript">
		jQuery(document).ready(function(){
				
				jQuery(window).scroll(function () {
					if (jQuery(this).scrollTop() > 340) {
						jQuery(".title_menu").addClass("fixed");
						jQuery(".website-header").addClass("with-space");
					}
					else {
						jQuery(".title_menu").removeClass("fixed");
						jQuery(".website-header").removeClass("with-space");
					}
				});
		});
	</script>
	<?php endif ; ?>
		
</body>
</html>